### Method

# EDataServer SourceAuthentication get_method

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_authentication_get_method (
      ESourceAuthentication* extension
    )

#### Description [src]

Returns the authentication method for a remote account. There are no pre-defined method names; backends are free to set this however they wish. If authentication is not required for a remote account, the convention is to set `ESourceAuthentication:method` to “none”.

Available since: 3.6

Gets property | `EDataServer.SourceAuthentication:method`

#### Return value

Type: `const gchar*`

The authentication method for a remote account.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.